Skip to Content
Documents

Restore Document From Temp

Access

Member of the organization with this permission:

  • documents:write

An API key with scopes also needs the permission among its scopes.

POST
/orgs/{organizationId}/documents/restore-from-temp

Recreates a deleted document from its temp-folder copy (tempKey from the deletion notification).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
tempKey*string
Length1 <= length
customerId?string
Length1 <= length
filename*string
Length1 <= length
contentType?string
Length1 <= length
name?string
Length1 <= length
userMetadata?
externalId?string
Length1 <= length
source?string
Length1 <= length
archive?boolean
restoredFromDocumentId?string
Length1 <= length

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//documents/restore-from-temp' \  -H 'Content-Type: application/json' \  -d '{  "tempKey": "string",  "filename": "string"}'
Example Response
null